package com.fs.hisStore.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hisStore.mapper.FsStoreVisitScrmMapper;
import com.fs.hisStore.domain.FsStoreVisitScrm;
import com.fs.hisStore.service.IFsStoreVisitScrmService;

/**
 * 产品浏览分析Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsStoreVisitScrmServiceImpl implements IFsStoreVisitScrmService 
{
    @Autowired
    private FsStoreVisitScrmMapper fsStoreVisitMapper;

    /**
     * 查询产品浏览分析
     * 
     * @param id 产品浏览分析ID
     * @return 产品浏览分析
     */
    @Override
    public FsStoreVisitScrm selectFsStoreVisitById(Long id)
    {
        return fsStoreVisitMapper.selectFsStoreVisitById(id);
    }

    /**
     * 查询产品浏览分析列表
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 产品浏览分析
     */
    @Override
    public List<FsStoreVisitScrm> selectFsStoreVisitList(FsStoreVisitScrm fsStoreVisit)
    {
        return fsStoreVisitMapper.selectFsStoreVisitList(fsStoreVisit);
    }

    /**
     * 新增产品浏览分析
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 结果
     */
    @Override
    public int insertFsStoreVisit(FsStoreVisitScrm fsStoreVisit)
    {
        return fsStoreVisitMapper.insertFsStoreVisit(fsStoreVisit);
    }

    /**
     * 修改产品浏览分析
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 结果
     */
    @Override
    public int updateFsStoreVisit(FsStoreVisitScrm fsStoreVisit)
    {
        return fsStoreVisitMapper.updateFsStoreVisit(fsStoreVisit);
    }

    /**
     * 批量删除产品浏览分析
     * 
     * @param ids 需要删除的产品浏览分析ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreVisitByIds(Long[] ids)
    {
        return fsStoreVisitMapper.deleteFsStoreVisitByIds(ids);
    }

    /**
     * 删除产品浏览分析信息
     * 
     * @param id 产品浏览分析ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreVisitById(Long id)
    {
        return fsStoreVisitMapper.deleteFsStoreVisitById(id);
    }
}
